function init(hero) {
    hero.setName("Trigon/\u00A7d\u00A7lKNIGHTS\u00A7r");
    hero.setTier(10);
    
    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
    
    hero.addPowers("knights:demonic_physiology");
    hero.addAttribute("PUNCH_DAMAGE", 25, 0);
    hero.addAttribute("WEAPON_DAMAGE", 10, 0);
    hero.addAttribute("JUMP_HEIGHT", 10, 0);
    hero.addAttribute("FALL_RESISTANCE", 500, 0);
    hero.addAttribute("SPRINT_SPEED", 1, 1);
    hero.addAttribute("IMPACT_DAMAGE", 7, 1)
    hero.addAttribute("BASE_SPEED_LEVELS", 10, 0);
    hero.addAttribute("MAX_HEALTH", 25, 0);

    hero.addKeyBind("ENERGY_PROJECTION", "Pyrokenetic Blasts", 2);
    hero.addKeyBind("CHARGED_BEAM", "Thermal Blasts", 1);
    hero.addKeyBind("TELEPORT", "Inter-Dimensional Travel", 5);
    hero.addKeyBind("SPELL_MENU", "Illusion Casting", 3);
    hero.addKeyBind("TELEKINESIS", "Molecular Reconstruction", 4);

    hero.setDefaultScale(2.1);
}
function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}